Debian Bug report logs - #598305
teamspeak-server: CVE-2010-3383: insecure library loading

version graph

Package: teamspeak-server; Maintainer for teamspeak-server is Adam Cécile (Le_Vert) <gandalf@le-vert.net>; Source for teamspeak-server is src:teamspeak-server.

Reported by: Raphael Geissert <geissert@debian.org>

Date: Tue, 28 Sep 2010 04:25:15 UTC

Severity: grave

Tags: patch, security

Found in version teamspeak-server/2.0.24.1+debian-1

Fixed in version teamspeak-server/2.0.24.1+debian-1.1

Done: Etienne Millon <etienne.millon@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#598305; Package teamspeak-server. (Tue, 28 Sep 2010 04:25:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
New Bug report received and forwarded. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Tue, 28 Sep 2010 04:25:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: teamspeak-server: CVE-2010-3383: insecure library loading
Date: Tue, 28 Sep 2010 04:23:00 +0000
Package: teamspeak-server
Version: 2.0.24.1+debian-1
Severity: grave
Tags: security
User: team@security.debian.org
Usertags: ldpath

Hello,

During a review of the Debian archive, I've found your package to
contain a script that can be abused by an attacker to execute arbitrary
code.

The vulnerability is introduced by an insecure change to
LD_LIBRARY_PATH, and environment variable used by ld.so(8) to look for
libraries on a directory other than the standard paths.

Vulnerable code follows:

/usr/bin/teamspeak-server line 5:
export LD_LIBRARY_PATH=/usr/lib/teamspeak-server:$LD_LIBRARY_PATH

When there's an empty item on the colon-separated list of
LD_LIBRARY_PATH, ld.so treats it as '.' (i.e. CWD/$PWD.)
If the given script is executed from a directory where a potential,
local, attacker can write files to, there's a chance to exploit this
bug.

This vulnerability has been assigned the CVE id CVE-2010-3383. Please make sure
you mention it when forwarding this report to upstream and when fixing
this bug (everywhere: upstream and here at Debian.)

[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3383
[1] http://security-tracker.debian.org/tracker/CVE-2010-3383

Sincerely,
Raphael Geissert




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#598305; Package teamspeak-server. (Mon, 11 Oct 2010 09:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Mon, 11 Oct 2010 09:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 598305@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: 598305@bugs.debian.org
Subject: Patch for CVE-2010-3383
Date: Mon, 11 Oct 2010 11:33:25 +0200
[Message part 1 (text/plain, inline)]
Dear maintainer,

Here is a NMU patch that fixes this issue.

Regards,

-- 
Etienne Millon
[teamspeak-server-CVE-2010-3383.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Mon, 11 Oct 2010 09:36:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#598305; Package teamspeak-server. (Mon, 18 Oct 2010 09:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Mon, 18 Oct 2010 09:21:08 GMT) Full text and rfc822 format available.

Message #17 received at 598305@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: 598305@bugs.debian.org
Subject: package uploaded on mentors
Date: Mon, 18 Oct 2010 11:17:11 +0200
[Message part 1 (text/plain, inline)]
tags 598305 + pending
thanks

I have uploaded a fixed version at mentors.debian.net :

http://mentors.debian.net/debian/pool/non-free/t/teamspeak-server/teamspeak-server_2.0.24.1+debian-1.1.dsc

-- 
Etienne Millon
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Mon, 18 Oct 2010 09:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#598305; Package teamspeak-server. (Mon, 18 Oct 2010 18:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to jari.aalto@cante.net:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Mon, 18 Oct 2010 18:06:06 GMT) Full text and rfc822 format available.

Message #24 received at 598305@bugs.debian.org (full text, mbox):

From: jari.aalto@cante.net
To: 598305@bugs.debian.org
Subject: Bug#598305 teamspeak-server: NMU diff for 2.0.24.1+debian-1.1 (Intent to NMU)
Date: Mon, 18 Oct 2010 21:03:06 +0300
[Message part 1 (text/plain, inline)]
Dear maintainer,

Here is the NMU diff according to DevRef 5.11.1[1][2] for bug: #598305.
See the debian/patches directory for the important fixes. Feel free to
contact if you have any questions.

Thank you for maintaining the package,
Jari Aalto

[1] http://www.debian.org/doc/developers-reference/pkgs.html#nmu
[2] http://dep.debian.net/deps/dep1.html

lsdiff(1) of changes:

    teamspeak-server-2.0.24.1+debian/debian/changelog
    teamspeak-server-2.0.24.1+debian/debian/teamspeak-server.wrapper

[teamspeak-server_2.0.24.1+debian-1--2.0.24.1+debian-1.1.deb.diff (text/x-diff, inline)]
diffstat for teamspeak-server_2.0.24.1+debian-1 teamspeak-server_2.0.24.1+debian-1.1

 changelog                |   10 ++++++++++
 teamspeak-server.wrapper |   18 ++++++++++++++++--
 2 files changed, 26 insertions(+), 2 deletions(-)

diff -u teamspeak-server-2.0.24.1+debian/debian/changelog teamspeak-server-2.0.24.1+debian/debian/changelog
--- teamspeak-server-2.0.24.1+debian/debian/changelog
+++ teamspeak-server-2.0.24.1+debian/debian/changelog
@@ -1,3 +1,13 @@
+teamspeak-server (2.0.24.1+debian-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * debian/teamspeak-server.wrapper
+    - Fix CVE-2010-3383 nsecure library loading. Initial patch thanks to
+      Etienne Millon <etienne.millon@gmail.com>. (grave, security;
+      Closes: #598305).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Mon, 18 Oct 2010 20:58:51 +0300
+
 teamspeak-server (2.0.24.1+debian-1) unstable; urgency=low
 
   * New upstream release.
diff -u teamspeak-server-2.0.24.1+debian/debian/teamspeak-server.wrapper teamspeak-server-2.0.24.1+debian/debian/teamspeak-server.wrapper
--- teamspeak-server-2.0.24.1+debian/debian/teamspeak-server.wrapper
+++ teamspeak-server-2.0.24.1+debian/debian/teamspeak-server.wrapper
@@ -5,2 +5,16 @@
-export LD_LIBRARY_PATH=/usr/lib/teamspeak-server:$LD_LIBRARY_PATH
-/usr/lib/teamspeak-server/teamspeak-server.real $@
+Pathclean ()
+{
+   # Vulnerability fix for insecure path content
+   # Make sure "::", "^:" or ":$" is not left in path arg $1
+
+   local tmp
+   tmp=$(echo "$1" | sed -e 's/::\+// ; s/^:// ; s/:$//' )
+
+   [ "$tmp" ] && echo "$tmp"
+}
+
+LD_LIBRARY_PATH=/usr/lib/teamspeak-server${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
+LD_LIBRARY_PATH=$(Pathclean "$LD_LIBRARY_PATH")
+export LD_LIBRARY_PATH
+
+/usr/lib/teamspeak-server/teamspeak-server.real "$@"

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#598305; Package teamspeak-server. (Mon, 18 Oct 2010 19:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Mon, 18 Oct 2010 19:21:06 GMT) Full text and rfc822 format available.

Message #29 received at 598305@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: jari.aalto@cante.net, 598305@bugs.debian.org
Subject: Re: Bug#598305: teamspeak-server: NMU diff for 2.0.24.1+debian-1.1 (Intent to NMU)
Date: Mon, 18 Oct 2010 21:18:56 +0200
[Message part 1 (text/plain, inline)]
On Mon, Oct 18, 2010 at 21:03:06 +0300, jari.aalto@cante.net wrote:

> +Pathclean ()
> +{
> +   # Vulnerability fix for insecure path content
> +   # Make sure "::", "^:" or ":$" is not left in path arg $1
> +
> +   local tmp
> +   tmp=$(echo "$1" | sed -e 's/::\+// ; s/^:// ; s/:$//' )
> +
> +   [ "$tmp" ] && echo "$tmp"
> +}
> +
again, useless.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#598305; Package teamspeak-server. (Mon, 18 Oct 2010 19:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Mon, 18 Oct 2010 19:24:08 GMT) Full text and rfc822 format available.

Message #34 received at 598305@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: jari.aalto@cante.net, 598305@bugs.debian.org
Cc: 598309@bugs.debian.org, 598286@bugs.debian.org
Subject: Re: Bug#598305: teamspeak-server: NMU diff for 2.0.24.1+debian-1.1 (Intent to NMU)
Date: Mon, 18 Oct 2010 21:21:31 +0200
[Message part 1 (text/plain, inline)]
(CC'ed to #598309 and #598286)

Hello,

> +   # Make sure "::", "^:" or ":$" is not left in path arg $1

Thanks for this extra check. However, I am not sure that it is the
correct way to fix this one. I believe that the bug report means : "do
not add '.' to LD_LIBRARY_PATH, *unless it was there before*". If a
user has explicitly included it, he will expect it not to be silently
cleaned.

Regards

-- 
Etienne Millon
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#598305; Package teamspeak-server. (Sun, 24 Oct 2010 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jari.aalto@cante.net:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Sun, 24 Oct 2010 08:33:03 GMT) Full text and rfc822 format available.

Message #39 received at 598305@bugs.debian.org (full text, mbox):

From: jari.aalto@cante.net
To: 598305@bugs.debian.org
Subject: Bug#598305 teamspeak-server: NMU diff for 2.0.24.1+debian-1.1 (Intent to NMU)
Date: Sun, 24 Oct 2010 11:30:06 +0300
[Message part 1 (text/plain, inline)]
Update, according to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598305#29

lsdiff(1) of changes:

    teamspeak-server-2.0.24.1+debian/debian/changelog
    teamspeak-server-2.0.24.1+debian/debian/teamspeak-server.wrapper

[teamspeak-server_2.0.24.1+debian-1--2.0.24.1+debian-1.1.deb.diff (text/x-diff, inline)]
diffstat for teamspeak-server_2.0.24.1+debian-1 teamspeak-server_2.0.24.1+debian-1.1

 changelog                |   10 ++++++++++
 teamspeak-server.wrapper |    2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

diff -u teamspeak-server-2.0.24.1+debian/debian/changelog teamspeak-server-2.0.24.1+debian/debian/changelog
--- teamspeak-server-2.0.24.1+debian/debian/changelog
+++ teamspeak-server-2.0.24.1+debian/debian/changelog
@@ -1,3 +1,13 @@
+teamspeak-server (2.0.24.1+debian-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * debian/teamspeak-server.wrapper
+    - Fix CVE-2010-3383 insecure library loading. Contribution thanks to
+      Etienne Millon <etienne.millon@gmail.com>
+      (grave, security; Closes: #598305).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Sun, 24 Oct 2010 11:23:45 +0300
+
 teamspeak-server (2.0.24.1+debian-1) unstable; urgency=low
 
   * New upstream release.
diff -u teamspeak-server-2.0.24.1+debian/debian/teamspeak-server.wrapper teamspeak-server-2.0.24.1+debian/debian/teamspeak-server.wrapper
--- teamspeak-server-2.0.24.1+debian/debian/teamspeak-server.wrapper
+++ teamspeak-server-2.0.24.1+debian/debian/teamspeak-server.wrapper
@@ -4,3 +4,3 @@
 
-export LD_LIBRARY_PATH=/usr/lib/teamspeak-server:$LD_LIBRARY_PATH
+export LD_LIBRARY_PATH=/usr/lib/teamspeak-server${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
 /usr/lib/teamspeak-server/teamspeak-server.real $@

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#598305; Package teamspeak-server. (Sun, 24 Oct 2010 09:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Sun, 24 Oct 2010 09:27:10 GMT) Full text and rfc822 format available.

Message #44 received at 598305@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: jari.aalto@cante.net, 598305@bugs.debian.org
Subject: Re: Bug#598305: teamspeak-server: NMU diff for 2.0.24.1+debian-1.1 (Intent to NMU)
Date: Sun, 24 Oct 2010 11:24:05 +0200
[Message part 1 (text/plain, inline)]
Hello,

I don't understand what your mean with your last message ; it
corresponds to the former version of this package that I uploaded to
mentors :

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598305#17

Regards

-- 
Etienne Millon
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#598305; Package teamspeak-server. (Sun, 24 Oct 2010 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Sun, 24 Oct 2010 18:15:03 GMT) Full text and rfc822 format available.

Message #49 received at 598305@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: 598305@bugs.debian.org
Subject: teamspeak-server: diff for NMU version 2.0.24.1+debian-1.1
Date: Sun, 24 Oct 2010 20:12:12 +0200
[Message part 1 (text/plain, inline)]
After a discussion with Jari, I updated the version at mentors.d.n :

http://mentors.debian.net/debian/pool/non-free/t/teamspeak-server/teamspeak-server_2.0.24.1+debian-1.1.dsc

-- 
Etienne Millon
[teamspeak-server-2.0.24.1+debian-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#598305; Package teamspeak-server. (Sun, 24 Oct 2010 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to tony mancill <tmancill@debian.org>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Sun, 24 Oct 2010 19:12:03 GMT) Full text and rfc822 format available.

Message #54 received at 598305@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: 598305@bugs.debian.org
Subject: teamspeak-server: diff for NMU version 2.0.24.1+debian-1.1
Date: Sun, 24 Oct 2010 12:07:12 -0700

Dear maintainer,

I've sponsored an NMU for teamspeak-server (2.0.24.1+debian-1.1) and
uploaded it to DELAYED/5. Please feel free to tell me if I should delay 
it longer or remove it from the queue.

Regards,
tony mancill

diff -u teamspeak-server-2.0.24.1+debian/debian/teamspeak-server.wrapper teamspeak-server-2.0.24.1+debian/debian/teamspeak-server.wrapper
--- teamspeak-server-2.0.24.1+debian/debian/teamspeak-server.wrapper
+++ teamspeak-server-2.0.24.1+debian/debian/teamspeak-server.wrapper
@@ -5,2 +5,2 @@
-export LD_LIBRARY_PATH=/usr/lib/teamspeak-server:$LD_LIBRARY_PATH
-/usr/lib/teamspeak-server/teamspeak-server.real $@
+export LD_LIBRARY_PATH=/usr/lib/teamspeak-server${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
+/usr/lib/teamspeak-server/teamspeak-server.real "$@"
diff -u teamspeak-server-2.0.24.1+debian/debian/changelog teamspeak-server-2.0.24.1+debian/debian/changelog
--- teamspeak-server-2.0.24.1+debian/debian/changelog
+++ teamspeak-server-2.0.24.1+debian/debian/changelog
@@ -1,3 +1,12 @@
+teamspeak-server (2.0.24.1+debian-1.1) unstable; urgency=high
+
+  * Non-maintainer upload.
+  * debian/teamspeak-server.wrapper
+    - Fix security issue CVE-2010-3383 (grave, security; Closes: #598305) 
+    - Proper quoting of "$@" (thanks to Jari Aalto <jari.aalto@cante.net>)
+
+ -- Etienne Millon <etienne.millon@gmail.com>  Sun, 24 Oct 2010 20:02:31 +0200
+
 teamspeak-server (2.0.24.1+debian-1) unstable; urgency=low
 
   * New upstream release.




Reply sent to Etienne Millon <etienne.millon@gmail.com>:
You have taken responsibility. (Fri, 29 Oct 2010 19:33:05 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Fri, 29 Oct 2010 19:33:05 GMT) Full text and rfc822 format available.

Message #59 received at 598305-close@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: 598305-close@bugs.debian.org
Subject: Bug#598305: fixed in teamspeak-server 2.0.24.1+debian-1.1
Date: Fri, 29 Oct 2010 19:32:07 +0000
Source: teamspeak-server
Source-Version: 2.0.24.1+debian-1.1

We believe that the bug you reported is fixed in the latest version of
teamspeak-server, which is due to be installed in the Debian FTP archive:

teamspeak-server_2.0.24.1+debian-1.1.diff.gz
  to non-free/t/teamspeak-server/teamspeak-server_2.0.24.1+debian-1.1.diff.gz
teamspeak-server_2.0.24.1+debian-1.1.dsc
  to non-free/t/teamspeak-server/teamspeak-server_2.0.24.1+debian-1.1.dsc
teamspeak-server_2.0.24.1+debian-1.1_i386.deb
  to non-free/t/teamspeak-server/teamspeak-server_2.0.24.1+debian-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598305@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Etienne Millon <etienne.millon@gmail.com> (supplier of updated teamspeak-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 24 Oct 2010 20:02:31 +0200
Source: teamspeak-server
Binary: teamspeak-server
Architecture: source i386
Version: 2.0.24.1+debian-1.1
Distribution: unstable
Urgency: high
Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Changed-By: Etienne Millon <etienne.millon@gmail.com>
Description: 
 teamspeak-server - VoIP chat for online gaming (server)
Closes: 598305
Changes: 
 teamspeak-server (2.0.24.1+debian-1.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * debian/teamspeak-server.wrapper
     - Fix security issue CVE-2010-3383 (grave, security; Closes: #598305)
     - Proper quoting of "$@" (thanks to Jari Aalto <jari.aalto@cante.net>)
Checksums-Sha1: 
 a83796adb6e5662b9b2faa95964146d113a05b0c 1794 teamspeak-server_2.0.24.1+debian-1.1.dsc
 a4079d43648673ffef78f71538e0bd61716da6f3 15495 teamspeak-server_2.0.24.1+debian-1.1.diff.gz
 23a5a98617d98ceff90b976282a5b1292c127064 1097688 teamspeak-server_2.0.24.1+debian-1.1_i386.deb
Checksums-Sha256: 
 ee7247092104822ad63330c94b16c03c507a7ed66265a089bbf0e7a1d9c9ed40 1794 teamspeak-server_2.0.24.1+debian-1.1.dsc
 bdafee076bfecfb6f5da0f0b7b431cdc9dd625a7cec18b0e4c6c1bf4fe389061 15495 teamspeak-server_2.0.24.1+debian-1.1.diff.gz
 b726e54c8752567124c2fae2138a258f66f0412fd17ff285c08a7bdb59c5e754 1097688 teamspeak-server_2.0.24.1+debian-1.1_i386.deb
Files: 
 71563fbfcb19b1a3435bddda2c6fe842 1794 non-free/net optional teamspeak-server_2.0.24.1+debian-1.1.dsc
 d00f33517ad0c28ecd9fdb6ca8c48dae 15495 non-free/net optional teamspeak-server_2.0.24.1+debian-1.1.diff.gz
 ffd9ae551f87916bbb26ba30cff893e3 1097688 non-free/net optional teamspeak-server_2.0.24.1+debian-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMxIOMAAoJECHSBYmXSz6WppYP/j5YZSDcHqEszGokvw3Kyot4
RYtA3KPmzkIJMLKe/vQfMYMTVZnhR0heztbcMqnD3osLmSIxOu8QWJRTepqD0492
axtAnMls+d8MuS7LZVR7/ON39bSpOJO9gg/OkZ5y+3zA9/bAgivdkIjrnR6jJsFx
HJlm0QbKhBgkAd/oXol4Dgt3lrM6aAivRR13SaIYVUkirhx+hMe7zZSeq4H2NgLb
i2NkGkgypZbR8gktzyzwJGoxeo7faCm+xbwMCnzWrGMPlC01EkbBtsFwQcS7tIj3
l/C52jEO1h0t593F6XmolIc+tnQFHHr/CeyLsZPt64L8iGg0h+QvpbyLf+xi9nZL
yfc0p10mTZTOdF8sEEcRP+Z4iERo1WD7Vs6mAjb1qczUagoSWaN4IEaBlp2xMJFi
BDmPIeBz5kKdvLsLNXoKXNGegKX9yQ6zqC0saA909qobl6gVEB7J16OCLHkIY2p9
2RgKxMmpJTIHrZetWM0aNP+hT6Dk5eksW90L54hqHWeYK1BQErALXcL5Ssu2Kid5
OwBQdTYMjpDJnCs1hih2WKhYL8SbJZ+l8XFyltL0RLQtnwmJhighVt2VBDsYX1iO
cbji+cX7Kx8HnG+tFdj3h09W4ML0GS1muEytmwC71PPk0ZNJy3Ca0mgi8yuZlZYh
CBzyl5f1fE8btIMhD8Uv
=sypF
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Apr 2011 07:32:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:13:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.